HunspellDictionary (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.hunspell.HunspellDictionary class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.hunspell
Class HunspellDictionary

    java.lang.Object
      org.apache.lucene.analysis.hunspell.HunspellDictionary

    public class HunspellDictionary

extends Object

In-memory structure for the dictionary (.dic) and affix (.aff) data of a hunspell dictionary.

Constructor Summary
`HunspellDictionary(InputStream affix, InputStream dictionary, org.apache.lucene.util.Version version)` Creates a new HunspellDictionary containing the information read from the provided InputStreams to hunspell affix and dictionary files.
`HunspellDictionary(InputStream affix, InputStream dictionary, org.apache.lucene.util.Version version, boolean ignoreCase)` Creates a new HunspellDictionary containing the information read from the provided InputStreams to hunspell affix and dictionary files.
`HunspellDictionary(InputStream affix, List<InputStream> dictionaries, org.apache.lucene.util.Version version, boolean ignoreCase)` Creates a new HunspellDictionary containing the information read from the provided InputStreams to hunspell affix and dictionary files.

Method Summary
`org.apache.lucene.util.Version` | `getVersion()`
`boolean` | `isIgnoreCase()`
`List<HunspellAffix>` | `lookupPrefix(char[] word, int offset, int length)` Looks up HunspellAffix prefixes that have an append that matches the String created from the given char array, offset and length
`List<HunspellAffix>` | `lookupSuffix(char[] word, int offset, int length)` Looks up HunspellAffix suffixes that have an append that matches the String created from the given char array, offset and length
`List<HunspellWord>` | `lookupWord(char[] word, int offset, int length)` Looks up HunspellWords that match the String created from the given char array, offset and length

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HunspellDictionary

    public HunspellDictionary(InputStream affix,
                              InputStream dictionary,
                              org.apache.lucene.util.Version version)
                       throws IOException,
                              ParseException

  Creates a new HunspellDictionary containing the information read from the provided InputStreams to hunspell affix and dictionary files. You have to close the provided InputStreams yourself.

  Parameters:
    `affix` - InputStream for reading the hunspell affix file (won't be closed).
    `dictionary` - InputStream for reading the hunspell dictionary file (won't be closed).
    `version` - Lucene Version
  Throws:
    `IOException` - Can be thrown while reading from the InputStreams
    `ParseException` - Can be thrown if the content of the files does not meet expected formats

### HunspellDictionary

    public HunspellDictionary(InputStream affix,
                              InputStream dictionary,
                              org.apache.lucene.util.Version version,
                              boolean ignoreCase)
                       throws IOException,
                              ParseException

  Creates a new HunspellDictionary containing the information read from the provided InputStreams to hunspell affix and dictionary files. You have to close the provided InputStreams yourself.

  Parameters:
    `affix` - InputStream for reading the hunspell affix file (won't be closed).
    `dictionary` - InputStream for reading the hunspell dictionary file (won't be closed).
    `version` - Lucene Version
    `ignoreCase` - If true, dictionary matching will be case insensitive
  Throws:
    `IOException` - Can be thrown while reading from the InputStreams
    `ParseException` - Can be thrown if the content of the files does not meet expected formats

### HunspellDictionary

    public HunspellDictionary(InputStream affix,
                              List<InputStream> dictionaries,
                              org.apache.lucene.util.Version version,
                              boolean ignoreCase)
                       throws IOException,
                              ParseException

  Creates a new HunspellDictionary containing the information read from the provided InputStreams to hunspell affix and dictionary files. You have to close the provided InputStreams yourself.

  Parameters:
    `affix` - InputStream for reading the hunspell affix file (won't be closed).
    `dictionaries` - InputStreams for reading the hunspell dictionary file (won't be closed).
    `version` - Lucene Version
    `ignoreCase` - If true, dictionary matching will be case insensitive
  Throws:
    `IOException` - Can be thrown while reading from the InputStreams
    `ParseException` - Can be thrown if the content of the files does not meet expected formats

Method Detail

### lookupWord

    public List<HunspellWord> lookupWord(char[] word,
                                         int offset,
                                         int length)

  Looks up HunspellWords that match the String created from the given char array, offset and length

  Parameters:
    `word` - Char array to generate the String from
    `offset` - Offset in the char array that the String starts at
    `length` - Length from the offset that the String is
  Returns:
    List of HunspellWords that match the generated String, or `null` if none are found

### lookupPrefix

    public List<HunspellAffix> lookupPrefix(char[] word,
                                            int offset,
                                            int length)

  Looks up HunspellAffix prefixes that have an append that matches the String created from the given char array, offset and length

  Parameters:
    `word` - Char array to generate the String from
    `offset` - Offset in the char array that the String starts at
    `length` - Length from the offset that the String is
  Returns:
    List of HunspellAffix prefixes with an append that matches the String, or `null` if none are found

### lookupSuffix

    public List<HunspellAffix> lookupSuffix(char[] word,
                                            int offset,
                                            int length)

  Looks up HunspellAffix suffixes that have an append that matches the String created from the given char array, offset and length

  Parameters:
    `word` - Char array to generate the String from
    `offset` - Offset in the char array that the String starts at
    `length` - Length from the offset that the String is
  Returns:
    List of HunspellAffix suffixes with an append that matches the String, or `null` if none are found

### getVersion

    public org.apache.lucene.util.Version getVersion()

### isIgnoreCase

    public boolean isIgnoreCase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD